export function getCollectionVirtualSchemaName(collection: any): any;
export function getCollectionVirtualSchemaId(collection: any, { isDatasets }?: {
    isDatasets: any;
}): string;
export function getRootCollectionVirtualSchemaId({ isModels }: {
    isModels: any;
}): string;
export function getQuestionVirtualTableId(id: any): string;
export function isVirtualCardId(tableId: any): boolean;
export function getQuestionIdFromVirtualTableId(tableId: any): number | null;
export function convertSavedQuestionToVirtualTable(card: any): {
    id: string;
    display_name: any;
    description: any;
    moderated_status: any;
    db_id: any;
    schema: string;
    schema_name: any;
};
export const SAVED_QUESTIONS_VIRTUAL_DB_ID: -1337;
export const ROOT_COLLECTION_VIRTUAL_SCHEMA: string;
